Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class AllAttributeChildDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AllAttributeChildDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class AllAttributeChildDefinitionParser

extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
implements MuleDefinitionParser

This is a very hurried demonstration. It needs improving!

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`AllAttributeChildDefinitionParser(DynamicAttributeDefinitionParser delegate)`

Method Summary
`MuleDefinitionParserConfiguration` | `addAlias(String alias, String propertyName)`
`MuleDefinitionParserConfiguration` | `addBeanFlag(String flag)`
`MuleDefinitionParserConfiguration` | `addCollection(String propertyName)`
`MuleDefinitionParserConfiguration` | `addIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, Map mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, String mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, ValueMap mappings)`
`MuleDefinitionParserConfiguration` | `addReference(String propertyName)`
`String` | `getAttributeMapping(String alias)`
`String` | `getBeanName(Element element)`
`boolean` | `isBeanReference(String attributeName)`
`boolean` | `isCollection(String propertyName)`
`boolean` | `isIgnored(String propertyName)`
`org.springframework.beans.factory.support.AbstractBeanDefinition` | `muleParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`MuleDefinitionParserConfiguration` | `registerPostProcessor(PostProcessor postProcessor)` These are appended to existing processors
`MuleDefinitionParserConfiguration` | `registerPreProcessor(PreProcessor preProcessor)` These are prepended to existing processors
`MuleDefinitionParserConfiguration` | `removeIgnored(String propertyName)`
`void` | `setDeprecationWarning(String deprecationWarning)`
`MuleDefinitionParserConfiguration` | `setIgnoredDefault(boolean ignoreAll)`
`String` | `translateName(String oldName)`
`Object` | `translateValue(String name, String value)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### AllAttributeChildDefinitionParser

    public AllAttributeChildDefinitionParser(DynamicAttributeDefinitionParser delegate)

Method Detail

### parseInternal

    protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                             org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### muleParse

    public org.springframework.beans.factory.support.AbstractBeanDefinition muleParse(Element element,
                                                                                      org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `muleParse` in interface `MuleDefinitionParser`

### registerPreProcessor

    public MuleDefinitionParserConfiguration registerPreProcessor(PreProcessor preProcessor)

  Description copied from interface: `MuleDefinitionParserConfiguration`
  These are prepended to existing processors

  Specified by:
    `registerPreProcessor` in interface `MuleDefinitionParserConfiguration`

### registerPostProcessor

    public MuleDefinitionParserConfiguration registerPostProcessor(PostProcessor postProcessor)

  Description copied from interface: `MuleDefinitionParserConfiguration`
  These are appended to existing processors

  Specified by:
    `registerPostProcessor` in interface `MuleDefinitionParserConfiguration`

### addReference

    public MuleDefinitionParserConfiguration addReference(String propertyName)

  Specified by:
    `addReference` in interface `MuleDefinitionParserConfiguration`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        Map mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        String mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        ValueMap mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`

### addAlias

    public MuleDefinitionParserConfiguration addAlias(String alias,
                                                      String propertyName)

  Specified by:
    `addAlias` in interface `MuleDefinitionParserConfiguration`

### addCollection

    public MuleDefinitionParserConfiguration addCollection(String propertyName)

  Specified by:
    `addCollection` in interface `MuleDefinitionParserConfiguration`

### addIgnored

    public MuleDefinitionParserConfiguration addIgnored(String propertyName)

  Specified by:
    `addIgnored` in interface `MuleDefinitionParserConfiguration`

### removeIgnored

    public MuleDefinitionParserConfiguration removeIgnored(String propertyName)

  Specified by:
    `removeIgnored` in interface `MuleDefinitionParserConfiguration`

### setIgnoredDefault

    public MuleDefinitionParserConfiguration setIgnoredDefault(boolean ignoreAll)

  Specified by:
    `setIgnoredDefault` in interface `MuleDefinitionParserConfiguration`

### getAttributeMapping

    public String getAttributeMapping(String alias)

### isCollection

    public boolean isCollection(String propertyName)

### isIgnored

    public boolean isIgnored(String propertyName)

### isBeanReference

    public boolean isBeanReference(String attributeName)

### translateName

    public String translateName(String oldName)

### translateValue

    public Object translateValue(String name,
                                 String value)

### getBeanName

    public String getBeanName(Element element)

  Specified by:
    `getBeanName` in interface `MuleDefinitionParser`

### addBeanFlag

    public MuleDefinitionParserConfiguration addBeanFlag(String flag)

  Specified by:
    `addBeanFlag` in interface `MuleDefinitionParserConfiguration`

### setDeprecationWarning

    public void setDeprecationWarning(String deprecationWarning)

  Specified by:
    `setDeprecationWarning` in interface `MuleDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.